Table of Contents

Class: Presentation | Twisted-0.19.0/twisted/web/widgets.py
--- | ---
I am a widget which formats a template with interspersed python expressions.
Base Classes |
--- | ---
Widget
Methods |
--- | ---
__init__ addClassVars addVariables display formatTraceback prePresent streamCall
| __init__
    __init__ (
            self,
            template=None,
            filename=None,
            )
| addClassVars
    addClassVars (
            self,
            namespace,
            Class,
            )
| addVariables
    addVariables (
            self,
            namespace,
            request,
            )
| display
    display ( self,  request )
Exceptions |
--- | ---
Exception("%s.display did not return a list, it returned %s!" %(x.__class__, repr( val ) ) )
| formatTraceback
    formatTraceback ( self,  tb )
| prePresent
    prePresent ( self,  request )
Perform any tasks which must be done before presenting the page.
| streamCall
    streamCall (
            self,
            call,
            *args,
            *kw,
            )
Utility: Call a method like StreamWidget's `stream`.

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:39 2002 by HappyDoc version 2.0